%define modname zookeeper
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B09_%{modname}.ini

Summary:	PHP extension for interfacing with Apache ZooKeeper
Name:		php-%{modname}
Version:	0.2.1
Release:	%mkrel 9
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/zookeeper/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	zookeeper-devel >= 3

%description
This extension provides API for communicating with ZooKeeper service.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ChangeLog LICENSE README.markdown zookeeper-api.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.1-9.mga2
+ Revision: 223959
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 0.2.1-8.mga2
+ Revision: 199796
- upgrade to 0.2.1

* Mon Feb 07 2011 spuhler <spuhler> 0.1.0-8.mga1
+ Revision: 48356
- removed buildroot definition from .spec
- imported package php-zookeeper


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2011.0
+ Revision: 629904
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2011.0
+ Revision: 628231
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdv2011.0
+ Revision: 600553
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdv2011.0
+ Revision: 588890
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdv2010.1
+ Revision: 514723
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 485506
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.1
+ Revision: 468283
- rebuilt against php-5.3.1

* Sun Oct 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.0
+ Revision: 458072
- import php-zookeeper


* Sun Oct 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.0
- initial Mandriva package
